evince crashes on PostScript files when Ghostscript errors out

Bug #1481134 reported by Till Kamppeter on 2015-08-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
High
Unassigned

Bug Description

When I try to open the attached file (sample file from bug 1442877) with Ghostscript 9.15, Ghostscript errors out (fixed in Ghostscript 9.16), if I open the file with evince and the Ghostscript on the system is 9.15 (the one which errors), evince crashes.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: evince 3.14.2-0ubuntu2
ProcVersionSignature: Ubuntu 3.19.0-16.16-generic 3.19.3
Uname: Linux 3.19.0-16-generic x86_64
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Aug 3 22:54:23 2015
InstallationDate: Installed on 2015-03-25 (131 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Beta amd64 (20150324)
SourcePackage: evince
UpgradeStatus: No upgrade log present (probably fresh install)

Till Kamppeter (till-kamppeter) wrote :
Till Kamppeter (till-kamppeter) wrote :

Attached is the PostScript file appout from bug 1442877. Running

evince appout

on Vivid leads to the crash (Wily not tested).

Changed in evince (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers